export declare class Generator {
    private template;
    constructor();
    /**
     *
     * @param iconUrl your website icon url
     * @param websiteUrl your website url
     * @param websiteName your website name
     * @param uuid unique id given by betamax server
     * @returns {string} unique string that can be used to generate qr codes for connecting to betamax
     */
    generate(iconUrl: string, websiteUrl: string, websiteName: string, uuid: string): string;
    private resetTemplates;
    private setIconUrl;
    private setWebsiteUrl;
    private setUuid;
    private setWebsiteName;
}
//# sourceMappingURL=unique-string-generator.d.ts.map