import { wallet } from "./type";
import { INVALID, REJECTED, ACCEPTED, PENDING, CANCELLED } from "./constant";
export declare type requestResponse = {
    status: boolean;
    message: string;
    data: {
        uuid: string;
    };
};
export declare type connectStatus = INVALID | REJECTED | ACCEPTED | PENDING | CANCELLED;
export declare type connectResponse = {
    status: boolean;
    message: connectStatus;
    data: wallet[];
};
//# sourceMappingURL=response.d.ts.map